<?php
function Addition($i,$j) // Déclaration de la fonction
{echo "   --> Dans Addition() : ".PHP_EOL;;
 echo "       valeurs initiales : i=$i, j=$j".PHP_EOL;
 $somme=$i+$j;
 $i++; // modification de $i
 $j++; // modification de $j
 echo "       valeurs finales   : i=$i, j=$j".PHP_EOL;
 return $somme;
}
echo "Entrez 2 entiers : ";
fscanf(STDIN,"%d %d",$a,$b);
echo "--- Appel de  Addition($a,$b) ---".PHP_EOL;
$resultat = Addition($a,$b);
echo "--- Retour de l'appel ---".PHP_EOL;
echo "$a + $b = $resultat".PHP_EOL ;
?>
